        /* 以下為分頁按鈕 */
        .pagination {
            display: flex;
            justify-content: center;
            margin-top: 8px;
        }

        .pagination-centered ul {
            text-align: center;
        }

        /* 分頁按鈕樣式 */
        .pagination li a {
            font-size: 12px;
            color: #707079;
            border: 1px solid #334c8e;
            border-radius: 2px;
            padding: 7px 13px 5px;
            margin-right: 7px;
            display: inline-block;
            -webkit-transition: all 0.3s;
            -o-transition: all 0.3s;
            transition: all 0.3s;
            background-color: white;
            text-decoration: none;
        }

        /* 目前頁面的分頁按鈕樣式 */
        .pagination li.active a {
            background-color: #e60b4f;
            /* 深藍 */
            color: white;
            font-weight: bold;
            border-color: #e60b4f;
            /* 與背景色一致 */
            box-shadow: 0px 4px 8px rgba(0, 75, 135, 0.3);
        }

        /* 目前頁面的分頁按鈕樣式 - 為了覆蓋bootstrap樣式 ，換專案時可以測試此專案是否會被覆蓋，若不會可以拿掉 */
        .page-item.active .page-link {
            z-index: 1;
            color: #fff;
            background-color: #e60b4f;
            border-color: #e60b4f;
        }

        /* 定義抖動動畫 */
        @keyframes shake {

            0%,
            100% {
                transform: translateX(0);
            }

            25% {
                transform: translateX(-2px);
            }

            50% {
                transform: translateX(2px);
            }

            75% {
                transform: translateX(-2px);
            }
        }

        /* 懸停效果 */
        .pagination li a:hover {
            color: #334c8e;
            /* 改變文字顏色 */
            border-color: #334c8e;
            /* 輕微改變邊框顏色 */
            box-shadow: 0px 4px 8px rgba(230, 11, 79, 0.3);
            /* 添加陰影 */
            transform: translateY(-5px) scale(1.05);
            /* 向上位移並放大 */
            transition: transform 0.3s ease;
            /* 過渡效果 */
        }

        /* 點擊時套用抖動效果 */
        .pagination li a:active {
            color: white;
            /* 文字變為白色 */
            background-color: #334c8e;
            /* 背景改為主色 */
            box-shadow: 0px 2px 4px rgba(230, 11, 79, 0.5);
            /* 加深陰影 */
            transform: scale(0.95);
            /* 輕微縮小 */
            animation: shake 0.3s;
            /* 加入抖動動畫 */
        }

        @media (max-width: 768px) {
            .pagination {
                justify-content: start;
                margin-left: 8px;
            }
        }